Межсайтовый скриптинг в Webmin и Usermin

Дата публикации:
07.02.2008
Дата изменения:
07.04.2008
Всего просмотров:
2829
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Usermin 1.x
Webmin 1.x
Уязвимые версии:
Webmin 1.390, возможно более ранние версии
Usermin 1.320, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "search" в сценарии webmin_search.cgi. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта. Для успешной эксплуатации уязвимости целевой пользователь должен быть авторизован и пользоваться браузером, который не отправляет заголовок HTTP "Referer" при обновлении страницы (например, Mozilla Firefox и Internet Explorer).

URL производителя: www.webmin.com

Решение: Установите последнюю версию с сайта производителя.

Журнал изменений:


07.04.2008
Изменена секция "Решение".

или введите имя

CAPTCHA